
// this is the header file assocated with the c file "netlink_kernel_space.c"
#ifndef NETLINK_KERNEL_SPACE_H
#define NETLINK_KERNEL_SPACE_H

#define NETLINK_USER 31

struct sock *nl_sk;
struct nlmsghdr *nlh;
struct sk_buff *skb_out;

typedef struct data_pack{
    unsigned long long int int_address;
    char str_data[100];
} struct_data_pack;
struct_data_pack s_data; 
int msg_size = sizeof(s_data);


//static void data_update(unsigned long long int, char[100]);
void kernel_space_sender(unsigned long long);
static void kernel_space_receiver(struct sk_buff*); 
void create_socket(unsigned long long int);



void prepare_buffer_msg(void);
void user_space_sender(unsigned long long);
void user_space_receiver(void);
/* This function update the data, ie, s_data which is transferred to the user space.*/



#endif